Gemini Files und Cache
Gemini-Datei-Upload fortsetzen
Sendet Bytes oder Befehle an die exakte URL, die vom fortsetzbaren Start zurückgegeben wurde.
POSThttps://api.tokenlab.sh/upload/v1beta/files/session/{sessionId}
Sendet Bytes oder Befehle an die exakte URL, die vom fortsetzbaren Start zurückgegeben wurde. Die Sitzung in der URL autorisiert diesen Upload; ein API-Key ist nicht erforderlich. Halten Sie die URL privat.
curl -X POST "https://example.com/upload/v1beta/files/session/string" \ -H "Content-Type: application/octet-stream" \ -d 'string'{ "file": { "name": "string", "displayName": "string", "mimeType": "string", "sizeBytes": "string", "uri": "string", "state": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "expirationTime": "2019-08-24T14:15:22Z", "error": {} }}Pfadparameter
sessionId*string
Header
X-Goog-Upload-Command?string
Upload-Befehl, z. B. upload, finalize.
X-Goog-Upload-Offset?string
Nullbasierter Byte-Offset des Chunks.
body?file
Format
binaryAntwort
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json